Skip to main content

Stock Journal Holds by Journal Date

Frequency:

Stock journal holds data request to be sent on demand.

Expected data:

Returns stock hold code changes (operational and non-operational) in the warehouse system, filtered by journal date.

Technical:

{journalDate} is in format yyyy-mm-dd and selects the entries by their UTC timestamp, from 00:00:00 to 23:59:59. journal_date in the response is returned in the time zone of the client, so entries close to midnight can be returned under the neighbouring date.


GET https://{url}/v1/journal/stock/holds/{journalDate}​

Retrieve stock journal hold entries filtered by journal date.

Response Body​

The response contains a data array of hold journal entry objects.

Top-level response fields:

NameTypeRequiredDescription
successbooleanYesWhether the operation succeeded
messagestringNoError message, if applicable
errorsstring[]NoAdditional error messages, if present
dataarrayYesArray of hold journal entry objects

Hold journal entry object (inside data array):

NameTypeRequiredDescription
journal_idintegerYesJournal entry unique identifier
journal_datestringYesJournal entry date and time (in format '2021-02-10T15:57:57')
hold_code_id_fromintegerYesSource hold code identifier
hold_code_fromstringYesSource hold code description
hold_code_id_tointegerYesTarget hold code identifier
hold_code_tostringYesTarget hold code description
article_idstringYesArticle unique identifier in ERP
quantitynumberYesQuantity affected by the hold change
purchase_order_idstringNoRelated PO unique identifier in ERP. Empty when the stock has no link to a purchase order, for example stock created by an inventory
purchase_order_line_numberintegerNoRelated PO detail line number. Empty when the stock has no link to a purchase order
inventory_reason_idintegerNoInventory reason identifier
localExciseStampsstringNoLocal excise stamp information. Note: this member is in camelCase, unlike the other members
exciseobjectConditionalExcise stamp data object (contains serial, range_from, range_to), if applicable

Response​

200: OK — Success​

{
"success": true,
"message": null,
"errors": null,
"data": [
{
"journal_id": 221,
"journal_date": "2021-02-10T15:57:57",
"hold_code_id_from": 0,
"hold_code_from": "Not on hold",
"hold_code_id_to": 2,
"hold_code_to": "Without excise stamp",
"article_id": "00001",
"quantity": 15.000,
"purchase_order_id": "3000437294",
"purchase_order_line_number": 10000,
"inventory_reason_id": null,
"localExciseStamps": null,
"excise": null
},
{
"journal_id": 227,
"journal_date": "2021-02-10T16:02:23",
"hold_code_id_from": 2,
"hold_code_from": "Without excise stamp",
"hold_code_id_to": 0,
"hold_code_to": "Not on hold",
"article_id": "00001",
"quantity": 15.000,
"purchase_order_id": "3000437294",
"purchase_order_line_number": 10000,
"inventory_reason_id": null,
"localExciseStamps": "LV-EXC-123",
"excise": {
"serial": "UE",
"range_from": 10000,
"range_to": 20000
}
}
]
}

400: Bad Request — Error​

{
"success": false,
"message": "Wrong date format: 2021-13-45"
}